All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Queue< E > Class Template Reference

## Public Member Functions

void | Clear ()
size_t | Size () const
QueueNode< E > * | Head ()
const QueueNode< E > * | Head () const
QueueNode< E > * | Last ()
const QueueNode< E > * | Last () const
void | Enqueue (const E &element)
E * | Dequeue ()
template<typename F >
Queue * | Map (F function) const

## Detailed Description

### template<typename E>
class Queue< E >

Definition at line 44 of file sample3-inl.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/samples/sample3-inl.h